ChiliProject - Feature # 212: Add an option for a custom default gravatar

Status: Open Priority: Normal
Author: Yuki Sonoda Category: User interface
Created: 2011-02-20 Assignee:

Updated: 2011-02-21 Due date:

Remote issue URL: http://www.redmine.org/issues/7664

Affected version:

Description: Now redmine administrator can choose the default gravatar for users which has no gravatar. But | would like
them to use my own default gravatar.

The attached patch allows plugins to add an option for the default gravatar.
https://github.com/yugui/redmine_fox_gravatar is an example plugin that uses this feature.

History

2011-02-20 08:23 am - Yuki Sonoda
- File adding-gravatar-options2.patch added

Oops, | attached a wrong patch. Please use adding-gravater-options2.patch.

2011-02-20 02:15 pm - Felix Schéafer

The Gravatar plugin already has the capability to show an alternate default, there is no Ul for it though. I'd like to keep the complexity of that part as low
as possible, and | feel having to install a plugin is overdoing it. Would it be enough to add an option to specify a URL as default in addition to the built-in

ones? We could also extend that part later to have a selector showing all images in @public/gravatars/@ for example.

2011-02-20 03:35 pm - Yuki Sonoda
public/gravatars/ like themes? It sounds better than plugin. I'm going to write a patch for the idea. Thank you!

2011-02-20 05:00 pm - Felix Schéafer

- Subject changed from [PATCH] Allowing plugins to add an option for the default gravatar to Add an option for a custom default gravatar

I've changed the title to reflect the feature request :-)

2011-02-21 01:09 am - Yuki Sonoda

- File add-gravatars-like-themes.patch added

| wrote the attached patch which scans public/gravatars/ and adds the found files to options for the default gravatar, just like themes.

Files

adding-gravatar-options.patch 3.5kB 2011-02-20 Yuki Sonoda
adding-gravatar-options2.patch 3.3kB 2011-02-20 Yuki Sonoda
add-gravatars-like-themes.patch 7.7 kB 2011-02-21 Yuki Sonoda
